VERSION 5.00
Begin VB.Form frmConfig 
   Caption         =   "PerformanceSnakeSaver"
   ClientHeight    =   3336
   ClientLeft      =   48
   ClientTop       =   336
   ClientWidth     =   5088
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   ScaleHeight     =   3336
   ScaleWidth      =   5088
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton CommandAbout 
      Caption         =   "About"
      Height          =   492
      Left            =   2880
      TabIndex        =   12
      Top             =   2640
      Width           =   1452
   End
   Begin VB.Frame Frame2 
      Caption         =   "Snake Color"
      Height          =   2292
      Left            =   3000
      TabIndex        =   2
      Top             =   120
      Width           =   1932
      Begin VB.OptionButton optPurple 
         Caption         =   "Purple"
         Height          =   252
         Left            =   240
         TabIndex        =   11
         Top             =   1440
         Width           =   1452
      End
      Begin VB.OptionButton optWhite 
         Caption         =   "White"
         Height          =   252
         Left            =   240
         TabIndex        =   10
         Top             =   1800
         Width           =   1452
      End
      Begin VB.OptionButton optGreen 
         Caption         =   "Green"
         Height          =   252
         Left            =   240
         TabIndex        =   9
         Top             =   1080
         Width           =   1452
      End
      Begin VB.OptionButton optRed 
         Caption         =   "Red"
         Height          =   252
         Left            =   240
         TabIndex        =   8
         Top             =   720
         Width           =   1452
      End
      Begin VB.OptionButton optBlue 
         Caption         =   "Blue"
         Height          =   252
         Left            =   240
         TabIndex        =   7
         Top             =   360
         Value           =   -1  'True
         Width           =   1452
      End
   End
   Begin VB.Frame Frame1 
      Caption         =   "Snake Length"
      Height          =   2292
      Left            =   120
      TabIndex        =   1
      Top             =   120
      Width           =   2772
      Begin VB.CheckBox chkValue 
         Caption         =   "Display current value"
         Height          =   252
         Left            =   120
         TabIndex        =   6
         Top             =   1680
         Width           =   2532
      End
      Begin VB.OptionButton optMemory 
         Caption         =   "Memory Use"
         Height          =   252
         Left            =   360
         TabIndex        =   5
         Top             =   1080
         Width           =   2292
      End
      Begin VB.OptionButton optCPU 
         Caption         =   "CPU Utilization"
         Height          =   252
         Left            =   360
         TabIndex        =   4
         Top             =   720
         Value           =   -1  'True
         Width           =   2292
      End
      Begin VB.Label Label1 
         Caption         =   "Base on percentage:"
         Height          =   252
         Left            =   120
         TabIndex        =   3
         Top             =   360
         Width           =   2532
      End
   End
   Begin VB.CommandButton CommandOK 
      Caption         =   "OK"
      Height          =   492
      Left            =   720
      TabIndex        =   0
      Top             =   2640
      Width           =   1452
   End
End
Attribute VB_Name = "frmConfig"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Dim SnakeColor As Long
Dim DisplayValue As Integer
Dim SnakeMethod As Integer

Private Sub chkValue_Click()
   DisplayValue = chkValue.Value
End Sub

Private Sub CommandAbout_Click()
   frmAbout.Show
End Sub

Private Sub Form_Load()
  DisplayValue = GetSetting("PerformanceSnakeSaver", "Setup", "DisplayValue", 0)
  If DisplayValue = 0 Or DisplayValue = 1 Then
     frmConfig.chkValue.Value = DisplayValue
  Else
     DispalyValue = 0
  End If
  
  SnakeMethod = GetSetting("PerformanceSnakeSaver", "Setup", "SnakeMethod", 1)
  If SnakeMethod = 2 Then
     frmConfig.optMemory.Value = True
  End If

  SnakeColor = GetSetting("PerformanceSnakeSaver", "Setup", "SnakeColor", 16711680)
  If SnakeColor = 16711680 Then     ' Blue
     frmConfig.optBlue.Value = True
  ElseIf SnakeColor = 16777215 Then ' White
     frmConfig.optWhite.Value = True
  ElseIf SnakeColor = 255 Then      ' Red
     frmConfig.optRed.Value = True
  ElseIf SnakeColor = 16711935 Then ' Purple
     frmConfig.optPurple.Value = True
  ElseIf SnakeColor = 65280 Then    ' Green
     frmConfig.optGreen.Value = True
  End If

End Sub

Private Sub CommandOK_Click()
  If optMemory = True Then
     SaveSetting "PerformanceSnakeSaver", "Setup", "SnakeMethod", 2
  Else
     SaveSetting "PerformanceSnakeSaver", "Setup", "SnakeMethod", 1
  End If
  
  SaveSetting "PerformanceSnakeSaver", "Setup", "SnakeColor", SnakeColor
  
  SaveSetting "PerformanceSnakeSaver", "Setup", "DisplayValue", DisplayValue
  
  Unload Me
End Sub

Private Sub optBlue_Click()
   SnakeColor = 16711680
End Sub

Private Sub optGreen_Click()
   SnakeColor = 65280
End Sub

Private Sub optPurple_Click()
   SnakeColor = 16711935
End Sub

Private Sub optRed_Click()
   SnakeColor = 255
End Sub

Private Sub optWhite_Click()
   SnakeColor = 16777215
End Sub
